{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "CMake Configure",
            "type": "shell",
            "command": "cmake -B build -S .",
            "problemMatcher": [],
            "group": "build"
        },
        {
            "label": "CMake Build",
            "type": "shell",
            "command": "cmake --build build",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "dependsOn": ["CMake Configure"]
        },
        {
            "label": "Build and Run",
            "type": "shell",
            "command": "${workspaceFolder}/build/Debug/visualizer.exe",
            "dependsOn": ["CMake Build"],
            "group": {
                "kind": "test",
                "isDefault": true
            }
        }
    ]
}